Skip to main content
PATCH
/
agents
/
{agentId}
/
shared-files
/
{fileId}
/
freeze
Set Freeze on Agent Shared File
curl --request PATCH \
  --url https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/shared-files/{fileId}/freeze \
  --header 'Content-Type: application/json' \
  --header 'X-Asteroid-Agents-Api-Key: <api-key>' \
  --data '
{
  "isFrozen": true
}
'
{
  "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "downloadUrl": "<string>",
  "fileName": "<string>",
  "filePath": "<string>",
  "fileSize": 123,
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isFrozen": true,
  "updatedAt": "2023-11-07T05:31:56Z",
  "version": 123,
  "lastModifiedByExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "mimeType": "<string>"
}

Authorizations

X-Asteroid-Agents-Api-Key
string
header
required

Path Parameters

agentId
string<uuid>
required
fileId
string<uuid>
required

Body

application/json

Request to set the frozen status of a shared file

isFrozen
boolean
required

Response

The request has succeeded.

A file in the agent's persistent shared storage

agentId
string<uuid>
required
createdAt
string<date-time>
required
downloadUrl
string<uri>
required
fileName
string
required
filePath
string
required
fileSize
integer<int64>
required
id
string<uuid>
required
isFrozen
boolean
required
updatedAt
string<date-time>
required
version
integer
required
lastModifiedByExecutionId
string<uuid>
mimeType
string